	.file	"fprw.c"
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.text
.Ltext0:
	.cfi_sections	.debug_frame
.globl main
	.type	main, @function
main:
.LFB0:
	.file 1 "fprw.c"
	.loc 1 8 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	andl	$-16, %esp
	subl	$64, %esp
	.loc 1 11 0
	movl	$8, (%esp)
	call	malloc
	movl	%eax, 52(%esp)
	.loc 1 12 0
	movl	$4, (%esp)
	call	malloc
	movl	%eax, 56(%esp)
	.loc 1 13 0
	movl	$19088743, 60(%esp)
	.loc 1 14 0
	fldl	40(%esp)
	fld1
	faddp	%st, %st(1)
	fstpl	40(%esp)
	.loc 1 15 0
	flds	36(%esp)
	flds	.LC1
	faddp	%st, %st(1)
	fstps	36(%esp)
	.loc 1 16 0
	movl	52(%esp), %eax
	fldl	(%eax)
	fldl	40(%esp)
	fldl	.LC2
	fxch	%st(1)
	fucomip	%st(1), %st
	fstp	%st(0)
	seta	%al
	testb	%al, %al
	je	.L2
	fldl	.LC3
	jmp	.L3
.L2:
	fldl	.LC4
.L3:
	faddp	%st, %st(1)
	movl	52(%esp), %eax
	fstpl	(%eax)
	.loc 1 17 0
	movl	56(%esp), %eax
	flds	(%eax)
	flds	36(%esp)
	fldl	.LC2
	fxch	%st(1)
	fucomip	%st(1), %st
	fstp	%st(0)
	seta	%al
	testb	%al, %al
	je	.L4
	fldl	.LC5
	jmp	.L5
.L4:
	fldl	.LC6
.L5:
	faddp	%st, %st(1)
	fstps	28(%esp)
	flds	28(%esp)
	movl	56(%esp), %eax
	fstps	(%eax)
	.loc 1 18 0
	movl	52(%esp), %eax
	movl	%eax, (%esp)
	call	free
	.loc 1 19 0
	movl	56(%esp), %eax
	movl	%eax, (%esp)
	call	free
	.loc 1 20 0
	movl	52(%esp), %eax
	fldl	(%eax)
	fldl	.LC4
	faddp	%st, %st(1)
	movl	52(%esp), %eax
	fstpl	(%eax)
	.loc 1 21 0
	movl	56(%esp), %eax
	flds	(%eax)
	flds	.LC7
	faddp	%st, %st(1)
	movl	56(%esp), %eax
	fstps	(%eax)
	.loc 1 22 0
	movl	60(%esp), %eax
	movl	%eax, (%esp)
	call	free
	.loc 1 23 0
	movl	$4, (%esp)
	call	malloc
	movl	%eax, 60(%esp)
	.loc 1 24 0
	movl	60(%esp), %eax
	fldl	40(%esp)
	fldl	.LC8
	faddp	%st, %st(1)
	fstpl	(%eax)
	.loc 1 25 0
	movl	$0, %eax
	.loc 1 26 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE0:
	.size	main, .-main
	.section	.rodata
	.align 4
.LC1:
	.long	1092616192
	.align 8
.LC2:
	.long	-1717986918
	.long	1069128089
	.align 8
.LC3:
	.long	0
	.long	1073741824
	.align 8
.LC4:
	.long	0
	.long	1074266112
	.align 8
.LC5:
	.long	0
	.long	1077149696
	.align 8
.LC6:
	.long	0
	.long	1077215232
	.align 4
.LC7:
	.long	1106247680
	.align 8
.LC8:
	.long	858993459
	.long	1072902963
	.text
.Letext0:
	.section	.debug_info
	.long	0xf4
	.value	0x3
	.long	.Ldebug_abbrev0
	.byte	0x4
	.uleb128 0x1
	.long	.LASF12
	.byte	0x1
	.long	.LASF13
	.long	.LASF14
	.long	.Ltext0
	.long	.Letext0
	.long	.Ldebug_line0
	.uleb128 0x2
	.byte	0x4
	.byte	0x7
	.long	.LASF0
	.uleb128 0x2
	.byte	0x4
	.byte	0x5
	.long	.LASF1
	.uleb128 0x3
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x4
	.byte	0x4
	.long	0x33
	.uleb128 0x2
	.byte	0x8
	.byte	0x5
	.long	.LASF2
	.uleb128 0x2
	.byte	0x1
	.byte	0x8
	.long	.LASF3
	.uleb128 0x2
	.byte	0x2
	.byte	0x7
	.long	.LASF4
	.uleb128 0x2
	.byte	0x4
	.byte	0x7
	.long	.LASF5
	.uleb128 0x2
	.byte	0x1
	.byte	0x6
	.long	.LASF6
	.uleb128 0x2
	.byte	0x2
	.byte	0x5
	.long	.LASF7
	.uleb128 0x2
	.byte	0x8
	.byte	0x7
	.long	.LASF8
	.uleb128 0x2
	.byte	0x1
	.byte	0x6
	.long	.LASF9
	.uleb128 0x5
	.byte	0x1
	.long	.LASF15
	.byte	0x1
	.byte	0x7
	.byte	0x1
	.long	0x33
	.long	.LFB0
	.long	.LFE0
	.byte	0x1
	.byte	0x9c
	.long	0xd3
	.uleb128 0x6
	.string	"d"
	.byte	0x1
	.byte	0x9
	.long	0xd3
	.byte	0x2
	.byte	0x74
	.sleb128 40
	.uleb128 0x6
	.string	"f"
	.byte	0x1
	.byte	0xa
	.long	0xdf
	.byte	0x2
	.byte	0x74
	.sleb128 36
	.uleb128 0x6
	.string	"dp"
	.byte	0x1
	.byte	0xb
	.long	0xeb
	.byte	0x2
	.byte	0x74
	.sleb128 52
	.uleb128 0x6
	.string	"fp"
	.byte	0x1
	.byte	0xc
	.long	0xf1
	.byte	0x2
	.byte	0x74
	.sleb128 56
	.uleb128 0x6
	.string	"ip"
	.byte	0x1
	.byte	0xd
	.long	0x3a
	.byte	0x2
	.byte	0x74
	.sleb128 60
	.byte	0x0
	.uleb128 0x7
	.long	0xd8
	.uleb128 0x2
	.byte	0x8
	.byte	0x4
	.long	.LASF10
	.uleb128 0x7
	.long	0xe4
	.uleb128 0x2
	.byte	0x4
	.byte	0x4
	.long	.LASF11
	.uleb128 0x4
	.byte	0x4
	.long	0xd8
	.uleb128 0x4
	.byte	0x4
	.long	0xe4
	.byte	0x0
	.section	.debug_abbrev
	.uleb128 0x1
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1b
	.uleb128 0xe
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x10
	.uleb128 0x6
	.byte	0x0
	.byte	0x0
	.uleb128 0x2
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0x0
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0x0
	.byte	0x0
	.uleb128 0x4
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x5
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x7
	.uleb128 0x35
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.byte	0x0
	.section	.debug_pubnames,"",@progbits
	.long	0x17
	.value	0x2
	.long	.Ldebug_info0
	.long	0xf8
	.long	0x78
	.string	"main"
	.long	0x0
	.section	.debug_pubtypes,"",@progbits
	.long	0xe
	.value	0x2
	.long	.Ldebug_info0
	.long	0xf8
	.long	0x0
	.section	.debug_aranges,"",@progbits
	.long	0x1c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x4
	.byte	0x0
	.value	0x0
	.value	0x0
	.long	.Ltext0
	.long	.Letext0-.Ltext0
	.long	0x0
	.long	0x0
	.section	.debug_str,"MS",@progbits,1
.LASF2:
	.string	"long long int"
.LASF12:
	.string	"GNU C 4.4.5 20101112 (Red Hat 4.4.5-2)"
.LASF0:
	.string	"unsigned int"
.LASF15:
	.string	"main"
.LASF5:
	.string	"long unsigned int"
.LASF8:
	.string	"long long unsigned int"
.LASF3:
	.string	"unsigned char"
.LASF9:
	.string	"char"
.LASF13:
	.string	"fprw.c"
.LASF1:
	.string	"long int"
.LASF10:
	.string	"double"
.LASF4:
	.string	"short unsigned int"
.LASF6:
	.string	"signed char"
.LASF11:
	.string	"float"
.LASF7:
	.string	"short int"
.LASF14:
	.string	"/root/genprog-many-bugs/valgrind-bug-12474-12475/valgrind/memcheck/tests"
	.ident	"GCC: (GNU) 4.4.5 20101112 (Red Hat 4.4.5-2)"
	.section	.note.GNU-stack,"",@progbits
